Name:		aqsis
Version:	1.2.0
Release:	8%{?dist}
Summary:	Open source RenderMan-compliant 3D rendering solution
Group:		Applications/Multimedia

License:	GPLv2+
URL:		http://www.aqsis.org
Source:		http://download.aqsis.org/stable/source/tar/%{name}-%{version}.tar.gz
Patch0:         aqsis-1.2.0-gcc43.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:	bison, boost-devel >= 1.32.0, flex >= 2.5.4, fltk-devel >= 1.1.0, 
BuildRequires:	libjpeg-devel >= 6b, libtiff-devel >= 3.7.1, libxslt, 
BuildRequires:	scons >= 0.96.1, zlib-devel >= 1.1.4
BuildRequires:	OpenEXR-devel >= 1.6.0


%description
Aqsis is a cross-platform photorealistic 3D rendering solution, based 
on the RenderMan interface standard defined by Pixar Animation Studios.

This package contains a command-line renderer, a shader compiler for shaders 
written using the RenderMan shading language, a texture pre-processor for 
optimizing textures and a RIB processor.


%package devel
Requires:	%{name} = %{version}-%{release}
Summary:	Development files for Aqsis
Group:		Development/Libraries


%description devel
Aqsis is a cross-platform photorealistic 3D rendering solution, based 
on the RenderMan interface standard defined by Pixar Animation Studios.

This package contains various developer libraries to enable integration with 
third-party applications.


%package data
Requires:	%{name} = %{version}-%{release}
Summary:	Example content for Aqsis
Group:		Applications/Multimedia


%description data
Aqsis is a cross-platform photorealistic 3D rendering solution, based 
on the RenderMan interface standard defined by Pixar Animation Studios.

This package contains example content, including additional scenes and shaders.


%prep
%setup -q
# wrong-script-end-of-line-encoding
sed -i 's/\r//' thirdparty/dbo_plane/dbo_plane.c
sed -i 's/\r//' thirdparty/dbo_plane/implicit.h
# script-without-shebang
find shadercompiler/slparse texturing/plugins/png2tif displays thirdparty/dbo_plane aqsistypes rib -type f -name \* -exec chmod 644 {} \;
%patch0 -p1 -b .gcc43


%build
## Do not Enable pdiff=yes Because it will conflict with Printdiff :
## /usr/bin/pdiff  from package	a2ps
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
scons %{?_smp_mflags} \
		destdir=$RPM_BUILD_ROOT \
		sysconfdir=%{_sysconfdir}/%{name} \
		libdir=%{_libdir} \
		tiff_lib_path=%{_libdir} \
		jpeg_lib_path=%{_libdir} \
		zlib_lib_path=%{_libdir} \
		fltk_lib_path=%{_libdir} \
		exr_lib_path=%{_libdir} \
		install_prefix=%{_prefix} \
		no_rpath=true \
		build


%install
rm -rf $RPM_BUILD_ROOT
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
scons install
chmod a+rx $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/mpanalyse.py
chmod a+rx $RPM_BUILD_ROOT%{_datadir}/%{name}/content/ribs/scenes/vase/render.sh
chmod a+rx $RPM_BUILD_ROOT%{_datadir}/%{name}/content/ribs/features/layeredshaders/render.sh


%clean
rm -rf $RPM_BUILD_ROOT


%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ReleaseNotes
%{_bindir}/aqsis
%{_bindir}/aqsl
%{_bindir}/aqsltell
%{_bindir}/miqser
# Do not use the name pdiff for PerceptualDiff
# It is used by PrintDiff in a2ps
#{_bindir}/pdiff
%{_bindir}/teqser
%{_libdir}/%{name}/
%{_libdir}/*.so.*
## Do not use noreplace with aqsis release
## This may definitly change in future releases.
%config %{_sysconfdir}/%{name}/aqsisrc
%dir %{_sysconfdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/shaders/
%{_datadir}/%{name}/scripts/


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/*.so


%files data
%defattr(-,root,root,-)
%{_datadir}/%{name}/content/
%exclude %{_datadir}/%{name}/content/ribs/*/*/*.bat


%changelog
* Sat Feb  9 2008 kwizart < kwizart at gmail.com > - 1.2.0-8
- Rebuild for gcc43

* Mon Jan  7 2008 kwizart < kwizart at gmail.com > - 1.2.0-7
- Fix gcc43

* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 1.2.0-6
- Rebuild

* Tue Aug 14 2007 kwizart < kwizart at gmail.com > - 1.2.0-5
- Update the license field to GPLv2

* Sun Mar  4 2007 kwizart < kwizart at gmail.com > - 1.2.0-4
- Fix ownership for /etc/aqsis directory

* Sun Mar  4 2007 kwizart < kwizart at gmail.com > - 1.2.0-3
- Make comments

* Fri Mar  2 2007 kwizart < kwizart at gmail.com > - 1.2.0-2
- Disable pdiff (PerceptualDiff) to prevent conflicts with a2ps (PrintDiff)

* Wed Feb 28 2007 kwizart < kwizart at gmail.com > - 1.2.0-1
- Update to final 1.2.0
- fix some libdir
- change aqsis config file to sysconfdir/aqsis
- Enable x86_64 build 
- Enable third-party pdiff utility

* Fri Jan 19 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.8.svn738
- Updated to the latest SVN

* Thu Jan 18 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.7.alpha2
- added modifications by kwizart < kwizart at gmail.com >
- fix x86_64 build (experimental)
- fix wrong-end of line encoding in debug
- fix script-without-shebang in debug

* Thu Jan 18 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.2.alpha2
- Excluded x86_64 for now

* Mon Jan 15 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.1.alpha2
- Moved mpanalyse.py to shared

* Sat Jan 13 2007 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.4.alpha1
- Shared libs mod

* Sat Dec 23 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.3.alpha1
- More tuning to meet Fedora-Extras requirements

* Thu Dec 21 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.2.alpha1
- Some cleanup for a Fedora-only spec

* Thu Dec 14 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.2.0-0.1.alpha1
- More clean-up/optimisation..

* Mon Dec 11 2006 Leon Tony Atkinson <latkinson@aqsis.org> 1.1.0-3
- Added Fedora (Core 5 tested) and OpenSUSE (10.2 tested) support to SPEC file.
- Cleaned-up/optimised SPEC file.

* Fri Dec 09 2006 Leon Tony Atkinson <latkinson@aqsis.org> 1.1.0-2
- Added Mandriva (2006 tested) support to SPEC file.

* Wed Nov 22 2006 Tobias Sauerwein <tsauerwein@aqsis.org> 1.1.0-1
- Initial RPM/SPEC.
